Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 16 Jun 2022 10:58:34 +0000

Hi Amira Alanaz,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I have an order to collect from to e location : corner Olaya and king Abdullah in Riyadh ; I clicked on the link to collect my item and it takes me to a random location on Olaya - not to centre point- is the location in a mall ? Kindly provide correct location .  Or could you change the location the branch on King Abdullah because I can’t keep driving to “nowhere” . 

My order number is : 6149143518
Frustrated .
Would appreciate the help. 

Regards 
Nadia https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4505530